Bug 255102 - net/libzmq4: Update to 4.3.4, this includes several security fixes
Summary: net/libzmq4: Update to 4.3.4, this includes several security fixes
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-15 23:04 UTC by Thomas Petig
Modified: 2021-04-15 23:04 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
patch for the update (10.21 KB, patch)
2021-04-15 23:04 UTC, Thomas Petig
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Petig 2021-04-15 23:04:01 UTC
Created attachment 224144 [details]
patch for the update

libzmq4 in version 4.3.1 is outdated, 4.3.2 and 4.3.3 include fixes for several vulnerabilities.

Tried my best to provide a patch. Old patches to the source tree does not seem to be necessary, but apparently I need to fix some includes to get it to compile.

I would be glad to here some feedback on my patch. For instance where do the patch numbers come from? I just filled 1111 for now.